// bytran -|- spectral calculations for portable devices using the HITRAN database
//
// Developed by Dzianis Pliutau (Denis Plutov) and Kostya Roslyakov
// www.bytran.org | contact@bytran.org
// Copyright (c) 2016 Dzianis Pliutau
// Distributed under the MIT license
//
// The MIT License (MIT)
// Copyright (c) 2016 Dzianis Pliutau
//
// Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation
// files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy,
// modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software
// is furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
// OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
// LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR
// IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.



// Custom Button for custom dialogs
import QtQuick 2.0
import QtQuick.Controls 2.0

Button {
    background: Rectangle { color: {
                            if (pressed || checked) { return '#E6E6E6' }
                                               else { return 'white' }}
                            radius: height * 0.05
                            border.color: checked ? '#D8D8D8' : '#C0C0C0' }
    font.pointSize: {
        if ((Qt.platform.os == 'winrt') || (Qt.platform.os == 'winphone') || (Qt.platform.os == 'windows')) { return coreObj.defaultFontPointSize * 1.2 }
                                                                                                       else { return coreObj.defaultFontPointSize + 2.5 }
    }
    implicitHeight: ((Qt.platform.os === 'ios') || (Qt.platform.os === 'winrt') || (Qt.platform.os === 'winphone')) ? coreObj.defaultLabelHeight * 2.9 : coreObj.defaultLabelHeight * 3.3
}
