// bytran -|- spectral calculations for portable devices using the HITRAN database
//
// Developed by Dzianis Pliutau (Denis Plutov) and Kostya Roslyakov
// www.bytran.org | contact@bytran.org
// Copyright (c) 2016 Dzianis Pliutau
// Distributed under the MIT license
//
// The following resources were consulted to create an allert window
// http://www.informit.com/articles/article.aspx?p=2258413
//
// The MIT License (MIT)
// Copyright (c) 2016 Dzianis Pliutau
//
// Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation
// files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy,
// modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software
// is furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
// OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
// LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR
// IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.



// Custom message box to provide native message box capabilities for iOS and the default for other platforms
#include "custommessagebox.h"
#include <QDesktopServices>
#include <QApplication>
#include <QMessageBox>

CustomMessageBox::CustomMessageBox(QObject *parent) : QObject(parent)
{
    #if defined(Q_OS_IOS)

        // Alert dialog object to call native iOS dialog
        iosAlert = new iosMessageDialog();

    #endif
}

// Method to set the title and text string to display in an alert
void CustomMessageBox::setTitleAndText(QString title, QString text)
{
    this->titleText = title;
    this->dialogText = text;
}

// Method to execute (show) the dialog
void CustomMessageBox::show()
{
    #if defined(Q_OS_IOS)

        // Showing the dialog text under iOS
        iosAlert->show(titleText, dialogText);

    #else

        // Showing the dialog text box for
        QMessageBox msgBox;
        msgBox.setText(dialogText);
        msgBox.setStandardButtons(QMessageBox::Ok);
        msgBox.exec();

    #endif
}
