// bytran -|- spectral calculations for portable devices using the HITRAN database
//
// Developed by Dzianis Pliutau (Denis Plutov) and Kostya Roslyakov
// www.bytran.org | contact@bytran.org
// Copyright (c) 2016 Dzianis Pliutau
// Distributed under the MIT license
//
// The following resources were consulted to create an allert window
// http://www.informit.com/articles/article.aspx?p=2258413
// http://hayageek.com/uialertcontroller-example-ios/
// http://stackoverflow.com/questions/34801998/error-while-trying-to-show-ios-uialertcontroller-form-qt
// https://github.com/benlau/quickios/blob/master/qisystemutils.mm#L77
//
// The MIT License (MIT)
// Copyright (c) 2016 Dzianis Pliutau
//
// Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation
// files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy,
// modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software
// is furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
// OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
// LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR
// IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.



// Native iOS method to call the alert dialog in the iOS operating system
#ifndef __IOSMESSAGEDIALOG_H__
#define __IOSMESSAGEDIALOG_H__

#include <QObject>
#include <QString>

class iosMessageDialog : public QObject
{
    Q_OBJECT

public:

    explicit iosMessageDialog(QObject *parent = 0);

	// Method to display a message to the user
    void show(const QString &title, const QString &text);

signals:

public slots:

};

#endif // __IOSMESSAGEDIALOG_H__
